Loading...
Searching...
No Matches
ColorUnits.h File Reference
`#include <cstdint>`
Include dependency graph for ColorUnits.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | hueplusplus::HueSaturation
| Color in hue and saturation. More...
struct | hueplusplus::XY
| Color in CIE x and y coordinates. More...
struct | hueplusplus::XYBrightness
| Color and brightness in CIE. More...
struct | hueplusplus::ColorGamut
| Triangle of representable colors in CIE. More...
struct | hueplusplus::RGB
| Color in RGB. More...

## Namespaces

namespace | hueplusplus
| Namespace for the hueplusplus library.
namespace | hueplusplus::gamut
| Predefined ColorGamuts for Hue API.

## Functions

unsigned int | hueplusplus::kelvinToMired (unsigned int kelvin)
| Const function that converts Kelvin to Mired.
unsigned int | hueplusplus::miredToKelvin (unsigned int mired)
| Const function that converts Mired to Kelvin.

## Variables

constexpr ColorGamut | hueplusplus::gamut::gamutA {{0.704f, 0.296f}, {0.2151f, 0.7106f}, {0.138f, 0.08f}}
| Gamut A, used by most Color Lights.
constexpr ColorGamut | hueplusplus::gamut::gamutB {{0.675f, 0.322f}, {0.409f, 0.518f}, {0.167f, 0.04f}}
| Gamut B, used by older Extended Color Lights.
constexpr ColorGamut | hueplusplus::gamut::gamutC {{0.692f, 0.308f}, {0.17f, 0.7f}, {0.153f, 0.048f}}
| Gamut C, used by newer Extended Color Lights.
constexpr ColorGamut | hueplusplus::gamut::maxGamut {{1.f, 0.f}, {0.f, 1.f}, {0.f, 0.f}}
| Maximal gamut to be used when unknown.

## Detailed Description

Copyright Notice
Copyright (C) 2017 Jan Rogall - developer
Copyright (C) 2017 Moritz Wirger - developer
This file is part of hueplusplus.

hueplusplus is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

hueplusplus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with hueplusplus. If not, see http://www.gnu.org/licenses/.